## org.eclipse.uml2.uml
Interface ActivityEdge

All Superinterfaces:
  Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, NamedElement, org.eclipse.emf.common.notify.Notifier, RedefinableElement

All Known Subinterfaces:
  ControlFlow, ObjectFlow

    public interface ActivityEdge

extends RedefinableElement

A representation of the model object 'Activity Edge'. An activity edge is an abstract class for directed connections between two activity nodes. Activity edges can be contained in interruptible regions.

The following features are supported:

- `Source`
- `Target`
- `Redefined Edge`
- `In Partition`
- `Guard`
- `Weight`
- `Interrupts`
- `In Structured Node`
- `In Group`
- `Activity`

See Also:
  `UMLPackage.getActivityEdge()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`ValueSpecification` `createGuard(java.lang.String name, Type type, org.eclipse.emf.ecore.EClass eClass)` Creates a new `ValueSpecification`, with the specified 'Name', and 'Type', and sets the 'Guard' containment reference
`ValueSpecification` `createWeight(java.lang.String name, Type type, org.eclipse.emf.ecore.EClass eClass)` Creates a new `ValueSpecification`, with the specified 'Name', and 'Type', and sets the 'Weight' containment reference
`Activity` `getActivity()` Returns the value of the 'Activity' container reference.
`ValueSpecification` `getGuard()` Returns the value of the 'Guard' containment reference.
`org.eclipse.emf.common.util.EList<ActivityGroup>` `getInGroups()` Returns the value of the 'In Group' reference list.
`ActivityPartition` `getInPartition(java.lang.String name)` Retrieves the first `ActivityPartition` with the specified 'Name' from the 'In Partition' reference list
`ActivityPartition` `getInPartition(java.lang.String name, boolean ignoreCase)` Retrieves the first `ActivityPartition` with the specified 'Name' from the 'In Partition' reference list
`org.eclipse.emf.common.util.EList<ActivityPartition>` `getInPartitions()` Returns the value of the 'In Partition' reference list.
`StructuredActivityNode` `getInStructuredNode()` Returns the value of the 'In Structured Node' container reference.
`InterruptibleActivityRegion` `getInterrupts()` Returns the value of the 'Interrupts' reference.
`ActivityEdge` `getRedefinedEdge(java.lang.String name)` Retrieves the first `ActivityEdge` with the specified 'Name' from the 'Redefined Edge' reference list
`ActivityEdge` `getRedefinedEdge(java.lang.String name, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass)` Retrieves the first `ActivityEdge` with the specified 'Name' from the 'Redefined Edge' reference list
`org.eclipse.emf.common.util.EList<ActivityEdge>` `getRedefinedEdges()` Returns the value of the 'Redefined Edge' reference list.
`ActivityNode` `getSource()` Returns the value of the 'Source' reference.
`ActivityNode` `getTarget()` Returns the value of the 'Target' reference.
`ValueSpecification` `getWeight()` Returns the value of the 'Weight' containment reference.
`void` `setActivity(Activity value)` Sets the value of the '`Activity`' container reference
`void` `setGuard(ValueSpecification value)` Sets the value of the '`Guard`' containment reference
`void` `setInStructuredNode(StructuredActivityNode value)` Sets the value of the '`In Structured Node`' container reference
`void` `setInterrupts(InterruptibleActivityRegion value)` Sets the value of the '`Interrupts`' reference
`void` `setSource(ActivityNode value)` Sets the value of the '`Source`' reference
`void` `setTarget(ActivityNode value)` Sets the value of the '`Target`' reference
`void` `setWeight(ValueSpecification value)` Sets the value of the '`Weight`' containment reference
`boolean` `validateOwned(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Activity edges may be owned only by activities or groups.
`boolean` `validateSourceAndTarget(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The source and target of an edge must be in the same activity as the edge.
`boolean` `validateStructuredNode(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` Activity edges may be owned by at most one structured node.

Methods inherited from interface org.eclipse.uml2.uml.RedefinableElement
`getRedefinedElement, getRedefinedElement, getRedefinedElements, getRedefinitionContext, getRedefinitionContext, getRedefinitionContexts, isConsistentWith, isLeaf, isRedefinitionContextValid, setIsLeaf, validateRedefinitionConsistent, validateRedefinitionContextValid`

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getActivity

    Activity getActivity()

  Returns the value of the 'Activity' container reference. It is bidirectional and its opposite is '`Edge`'.

  This feature subsets the following features:

  - '`Owner`'
  Activity containing the edge.

  Returns:
    the value of the 'Activity' container reference.
  See Also:
    `setActivity(Activity)`, `UMLPackage.getActivityEdge_Activity()`, `Activity.getEdges()`

### setActivity

    void setActivity(Activity value)

  Sets the value of the '`Activity`' container reference.

  Parameters:
    `value` - the new value of the 'Activity' container reference.
  See Also:
    `getActivity()`

### getInGroups

    org.eclipse.emf.common.util.EList<ActivityGroup> getInGroups()

  Returns the value of the 'In Group' reference list. The list contents are of type `ActivityGroup`. It is bidirectional and its opposite is '`Contained Edge`'. This feature is a derived union. Groups containing the edge.

  Returns:
    the value of the 'In Group' reference list.
  See Also:
    `UMLPackage.getActivityEdge_InGroup()`, `ActivityGroup.getContainedEdges()`

### getInPartitions

    org.eclipse.emf.common.util.EList<ActivityPartition> getInPartitions()

  Returns the value of the 'In Partition' reference list. The list contents are of type `ActivityPartition`. It is bidirectional and its opposite is '`Edge`'.

  This feature subsets the following features:

  - '`In Group`'
  Partitions containing the edge.

  Returns:
    the value of the 'In Partition' reference list.
  See Also:
    `UMLPackage.getActivityEdge_InPartition()`, `ActivityPartition.getEdges()`

### getInPartition

    ActivityPartition getInPartition(java.lang.String name)

  Retrieves the first `ActivityPartition` with the specified 'Name' from the 'In Partition' reference list.

  Parameters:
    `name` - The 'Name' of the `ActivityPartition` to retrieve, or `null`.
  Returns:
    The first `ActivityPartition` with the specified 'Name', or `null`.
  See Also:
    `getInPartitions()`

### getInPartition

    ActivityPartition getInPartition(java.lang.String name,
                                     boolean ignoreCase)

  Retrieves the first `ActivityPartition` with the specified 'Name' from the 'In Partition' reference list.

  Parameters:
    `name` - The 'Name' of the `ActivityPartition` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
  Returns:
    The first `ActivityPartition` with the specified 'Name', or `null`.
  See Also:
    `getInPartitions()`

### getInStructuredNode

    StructuredActivityNode getInStructuredNode()

  Returns the value of the 'In Structured Node' container reference. It is bidirectional and its opposite is '`Edge`'.

  This feature subsets the following features:

  - '`In Group`'
  Structured activity node containing the edge.

  Returns:
    the value of the 'In Structured Node' container reference.
  See Also:
    `setInStructuredNode(StructuredActivityNode)`, `UMLPackage.getActivityEdge_InStructuredNode()`, `StructuredActivityNode.getEdges()`

### setInStructuredNode

    void setInStructuredNode(StructuredActivityNode value)

  Sets the value of the '`In Structured Node`' container reference.

  Parameters:
    `value` - the new value of the 'In Structured Node' container reference.
  See Also:
    `getInStructuredNode()`

### getTarget

    ActivityNode getTarget()

  Returns the value of the 'Target' reference. It is bidirectional and its opposite is '`Incoming`'. Node to which tokens are put when they traverse the edge.

  Returns:
    the value of the 'Target' reference.
  See Also:
    `setTarget(ActivityNode)`, `UMLPackage.getActivityEdge_Target()`, `ActivityNode.getIncomings()`

### setTarget

    void setTarget(ActivityNode value)

  Sets the value of the '`Target`' reference.

  Parameters:
    `value` - the new value of the 'Target' reference.
  See Also:
    `getTarget()`

### getRedefinedEdges

    org.eclipse.emf.common.util.EList<ActivityEdge> getRedefinedEdges()

  Returns the value of the 'Redefined Edge' reference list. The list contents are of type `ActivityEdge`.

  This feature subsets the following features:

  - '`Redefined Element`'
  Inherited edges replaced by this edge in a specialization of the activity.

  Returns:
    the value of the 'Redefined Edge' reference list.
  See Also:
    `UMLPackage.getActivityEdge_RedefinedEdge()`

### getRedefinedEdge

    ActivityEdge getRedefinedEdge(java.lang.String name)

  Retrieves the first `ActivityEdge` with the specified 'Name' from the 'Redefined Edge' reference list.

  Parameters:
    `name` - The 'Name' of the `ActivityEdge` to retrieve, or `null`.
  Returns:
    The first `ActivityEdge` with the specified 'Name', or `null`.
  See Also:
    `getRedefinedEdges()`

### getRedefinedEdge

    ActivityEdge getRedefinedEdge(java.lang.String name,
                                  boolean ignoreCase,
                                  org.eclipse.emf.ecore.EClass eClass)

  Retrieves the first `ActivityEdge` with the specified 'Name' from the 'Redefined Edge' reference list.

  Parameters:
    `name` - The 'Name' of the `ActivityEdge` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `ActivityEdge` to retrieve, or `null`.
  Returns:
    The first `ActivityEdge` with the specified 'Name', or `null`.
  See Also:
    `getRedefinedEdges()`

### getGuard

    ValueSpecification getGuard()

  Returns the value of the 'Guard' containment reference.

  This feature subsets the following features:

  - '`Owned Element`'
  Specification evaluated at runtime to determine if the edge can be traversed.

  Returns:
    the value of the 'Guard' containment reference.
  See Also:
    `setGuard(ValueSpecification)`, `UMLPackage.getActivityEdge_Guard()`

### setGuard

    void setGuard(ValueSpecification value)

  Sets the value of the '`Guard`' containment reference.

  Parameters:
    `value` - the new value of the 'Guard' containment reference.
  See Also:
    `getGuard()`

### createGuard

    ValueSpecification createGuard(java.lang.String name,
                                   Type type,
                                   org.eclipse.emf.ecore.EClass eClass)

  Creates a new `ValueSpecification`, with the specified 'Name', and 'Type', and sets the 'Guard' containment reference.

  Parameters:
    `name` - The 'Name' for the new `ValueSpecification`, or `null`.
    `type` - The 'Type' for the new `ValueSpecification`, or `null`.
    `eClass` - The Ecore class of the `ValueSpecification` to create.
  Returns:
    The new `ValueSpecification`.
  See Also:
    `getGuard()`

### getWeight

    ValueSpecification getWeight()

  Returns the value of the 'Weight' containment reference.

  This feature subsets the following features:

  - '`Owned Element`'
  Number of tokens consumed from the source node on each traversal.

  Returns:
    the value of the 'Weight' containment reference.
  See Also:
    `setWeight(ValueSpecification)`, `UMLPackage.getActivityEdge_Weight()`

### setWeight

    void setWeight(ValueSpecification value)

  Sets the value of the '`Weight`' containment reference.

  Parameters:
    `value` - the new value of the 'Weight' containment reference.
  See Also:
    `getWeight()`

### createWeight

    ValueSpecification createWeight(java.lang.String name,
                                    Type type,
                                    org.eclipse.emf.ecore.EClass eClass)

  Creates a new `ValueSpecification`, with the specified 'Name', and 'Type', and sets the 'Weight' containment reference.

  Parameters:
    `name` - The 'Name' for the new `ValueSpecification`, or `null`.
    `type` - The 'Type' for the new `ValueSpecification`, or `null`.
    `eClass` - The Ecore class of the `ValueSpecification` to create.
  Returns:
    The new `ValueSpecification`.
  See Also:
    `getWeight()`

### getInterrupts

    InterruptibleActivityRegion getInterrupts()

  Returns the value of the 'Interrupts' reference. It is bidirectional and its opposite is '`Interrupting Edge`'. Region that the edge can interrupt.

  Returns:
    the value of the 'Interrupts' reference.
  See Also:
    `setInterrupts(InterruptibleActivityRegion)`, `UMLPackage.getActivityEdge_Interrupts()`, `InterruptibleActivityRegion.getInterruptingEdges()`

### setInterrupts

    void setInterrupts(InterruptibleActivityRegion value)

  Sets the value of the '`Interrupts`' reference.

  Parameters:
    `value` - the new value of the 'Interrupts' reference.
  See Also:
    `getInterrupts()`

### getSource

    ActivityNode getSource()

  Returns the value of the 'Source' reference. It is bidirectional and its opposite is '`Outgoing`'. Node from which tokens are taken when they traverse the edge.

  Returns:
    the value of the 'Source' reference.
  See Also:
    `setSource(ActivityNode)`, `UMLPackage.getActivityEdge_Source()`, `ActivityNode.getOutgoings()`

### setSource

    void setSource(ActivityNode value)

  Sets the value of the '`Source`' reference.

  Parameters:
    `value` - the new value of the 'Source' reference.
  See Also:
    `getSource()`

### validateSourceAndTarget

    boolean validateSourceAndTarget(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                    java.util.Map<java.lang.Object,java.lang.Object> context)

  The source and target of an edge must be in the same activity as the edge. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateOwned

    boolean validateOwned(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                          java.util.Map<java.lang.Object,java.lang.Object> context)

  Activity edges may be owned only by activities or groups. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateStructuredNode

    boolean validateStructuredNode(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                   java.util.Map<java.lang.Object,java.lang.Object> context)

  Activity edges may be owned by at most one structured node. true

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.